package com.gic.auth.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.OperationUserDTO;
import com.gic.auth.service.OperationUserApiService;
import com.gic.auth.service.OperationUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("operationUserApiService")
public class OperationUserApiServiceImpl implements OperationUserApiService{
    @Autowired
    private OperationUserService operationUserService;
    @Override
    public ServiceResponse<OperationUserDTO> getByPhone(String phone, Integer enterpriseId) {
        return ServiceResponse.success(operationUserService.getByPhone(phone, enterpriseId));
    }

    @Override
    public ServiceResponse<Void> save(OperationUserDTO dto) {
        operationUserService.save(dto);
        return ServiceResponse.success();
    }
}
